package com.zd.laboratory.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 签到 检查项验证记录
 * @Author: zhoupan
 * @Date: 2021/11/13/16:58
 * @Description:
 */
@ApiModel("检查项验证记录")
public class LabSubAccessCheckInLog {

    private Long id;
    /**
     * 签到记录
     */
    @ApiModelProperty("签到记录ID")
    @NotNull(message = "签到记录ID不能为空")
    private Long signId;

    /**
     * 检查项
     */
    @ApiModelProperty("签到检查项")
    @NotBlank(message = "签到检查项不能为空")
    private String code;

    /**
     * 检查结果
     */
    @ApiModelProperty("检查结果")
    @NotNull(message = "检查结果不能为空")
    private Boolean result;

    @ApiModelProperty("提示")
    private String msg;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 是否跳过
     */
    private Boolean hasJump;


    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public Boolean getHasJump() {
        return hasJump;
    }

    public void setHasJump(Boolean hasJump) {
        this.hasJump = hasJump;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSignId() {
        return signId;
    }

    public void setSignId(Long signId) {
        this.signId = signId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Boolean getResult() {
        return result;
    }

    public void setResult(Boolean result) {
        this.result = result;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
